There was a security issue in WordPress 4.2, which has been resolved in the latest 4.2.1 release.